Chromebook

04.15.16
Skype nixes plug-in requirement for web-based chats
04.15.16 in

Skype nixes plug-in requirement for web-based chats

You'll need Microsoft Edge to use it, but support for Chrome and Firefox is in the works.

View